List labels
curl --request GET \
--url https://api.portkey.ai/v1/labels \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/labels"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total": 123,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"color_code": "<string>",
"organisation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_universal": true,
"created_at": "2023-11-07T05:31:56Z",
"last_updated_at": "2023-11-07T05:31:56Z",
"status": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"param": "<string>",
"type": "<string>"
}
}List Labels
Returns a list of labels based on filters
GET
/
labels
List labels
Portkey is now PRISMA AIRS AI Gateway. See it in action.
Contact Us
Authorizations
Query Parameters
ID of the organisation
ID or slug of the workspace
Search query to filter labels by name
Page number for pagination
Required range:
x >= 0Number of items per page
Required range:
x >= 1Last modified on August 3, 2026
Was this page helpful?
⌘I

